<?php if(!defined("Hacking")){die("404 Not Found"); } ?>

<?php

$kullanici = $db->select('admin')
    ->where('admin_id',session("id"))
    ->run(true);

if($kullanici['yetki']==1)
{ ?>

<div id="tour-11" class="header-content">
  <h2><i class="fa fa-user"></i>Profil Ekle</h2>
</div>
<div class="body-content animated fadeIn">
<div class="row">
  <div class="col-md-12">
    <div class="panel rounded shadow">
      <div class="panel-body no-padding">
        <?php

                          if($_POST){
                              $username   = @post('username');
                              $adsoyad    = @post('adsoyad');
                              $email      = @post('email');
                              $sifre1     = @post('sifre1');
                              $sifre2     = @post('sifre2');
                              // Ekle
                              if($sifre1==$sifre2)
                              {
                                $profil = $db->insert('admin')
                                    ->set(array(
                                        'username' => $username,
                                        'adsoyad'  => $adsoyad,
                                        'email'    => $email,
                                        'password'    => md5($sifre1),
                                        'yetki'    => 2
                                    ));
                                if($profil){
                                    echo '<div class="alert alert-success">
                                        <strong>Tebrikler!</strong> Yeni kullanıcı oluşturuldu. Artık '.$username.'giriş yapabilir!
                                    </div>';
                                    git('index.php?do=profil',2);
                                }else{
                                    echo '<div class="alert alert-danger">
                                        <strong>Hata!</strong> Lütfen daha Sonra Tekrar Deneyiniz.Yönlendiriliyorsunuz.
                                    </div>';
                                    git('index.php?do=profil',2);
                                }
                              }
                            }
                    ?>
        <form action="" method="post">
          <div class="form-body">
            <div class="form-group">
              <label class="control-label">
              <li class="fa fa-user-circle"></li>
              &nbsp;&nbsp;Ad Soyad
              </label>
              <input class="form-control" name="adsoyad" value="" type="text" required>
            </div>
            <div class="form-group">
              <label class="control-label">
              <li class="fa fa-user-circle-o"></li>
              &nbsp;&nbsp;Kullanıcı Adı (Panel girişinde kullanılır)
              </label>
              <input class="form-control" name="username" value="" type="text" required>
            </div>
            <div class="form-group">
              <label class="control-label">
              <li class="fa fa-envelope"></li>
              &nbsp;&nbsp;E-Posta
              </label>
              <input class="form-control" name="email" value="" type="email"  required>
            </div>
            <div class="form-group">
              <label class="control-label">
              <li class="fa fa-unlock"></li>
              &nbsp;&nbsp;Şifre (En az 6 karakter, en az 1 rakam ve 1 harfden oluşmalıdır.)
              </label>
              <input class="form-control" id="sifre1" name="sifre1" value="" type="password" placeholder="Şifreyi girin" pattern="(?=.*\d)(?=.*[a-z]).{6,}" title="Şifre en az 6 karakter olmalı." required>
            </div>
            <div class="form-group">
              <label class="control-label">
              <li class="fa fa-lock"></li>
              &nbsp;&nbsp;Şifre Tekrar
              </label>
              <input class="form-control" id="sifre2" name="sifre2" value="" type="password" placeholder="Şifreyi Tekrar Girin" pattern="(?=.*\d)(?=.*[a-z]).{6,}" title="Şifre en az 6 karakter olmalı." required>
            </div>
          </div>
          <div class="form-footer">
            <div class="pull-left">
              <button class="btn btn-primary mr-5" type="submit">
              <li class="fa fa-floppy-o"></li>
              &nbsp;&nbsp;Yeni Kullanıcı Oluştur</button>
            </div>
            <div class="clearfix"></div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>

<script type="text/javascript">
var password = document.getElementById("sifre1")
  , confirm_password = document.getElementById("sifre2");
function validatePassword(){
  if(password.value != confirm_password.value) {
    confirm_password.setCustomValidity("Şifreler uyuşmuyor.");
  } else {
    confirm_password.setCustomValidity('');
  }
}
password.onchange = validatePassword;
confirm_password.onkeyup = validatePassword;
</script>

<?php }
else
{
  echo '<div id="tour-11" class="header-content">
    <h2 style="color:red;"><i class="fa fa-user"></i>YETKİNİZ YOK. SADECE SÜPER ADMİNLER ERİŞEBİLİR.</h2>
  </div>';

} ?>
